com.dlsc.flexgantt.swing.util

## Class WindowsCornerIcon

- java.lang.Object
- - com.dlsc.flexgantt.swing.util.WindowsCornerIcon

- All Implemented Interfaces:
    Icon

      public class WindowsCornerIcon
      extends Object
      implements Icon

  An icon implementation that simulates the corner resize icon found on Windows.
  Since:
    1.0
  Version:
    $Revision: 1.3 $
  Author:
    Dirk Lemmermann

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WindowsCornerIcon.Corner` An enumerator, which specifies where the icon will draw its boxes.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsCornerIcon()` Constructs a new icon.
    `WindowsCornerIcon(WindowsCornerIcon.Corner corner)` Constructs a new icon.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIconHeight()`
    `int` | `getIconWidth()`
    `void` | `paintIcon(Component c, Graphics g, int x, int y)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsCornerIcon

          public WindowsCornerIcon(WindowsCornerIcon.Corner corner)

      Constructs a new icon.
      Parameters:
        `corner` - specifies where the boxes will be drawn
      Since:
        1.0

    - #### WindowsCornerIcon

          public WindowsCornerIcon()

      Constructs a new icon. The icon's boxes will be drawn in the lower right corner.
      Since:
        1.0

  - ### Method Detail

    - #### getIconHeight

          public int getIconHeight()

      Specified by:
        `getIconHeight` in interface `Icon`

    - #### getIconWidth

          public int getIconWidth()

      Specified by:
        `getIconWidth` in interface `Icon`

    - #### paintIcon

          public void paintIcon(Component c,
                                Graphics g,
                                int x,
                                int y)

      Specified by:
        `paintIcon` in interface `Icon`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.